Subject: TTY code
From: [email-masked] (Mike Bernson)

13 Jun 1997 01:12:20 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

I have made a large number of changes to get the serial ports to act closer
to unix tty driver.

I have added a non-blocking/blocking mode (need to have vmin, vtime)

I have also added the code to handle vmin, vtime and nonblocking all
work just like unix tty driver. (the current version did not handle
things right on read) I still have to look at the write side of things.

I have also modify the console driver to build a fifo to handle expanding
character seq. This stop the buffer overflow type problems with trying
to push ascii seq up/down arrows.

I have also added FIONBIO to the console driver.

I have change the console color code to do a better (correct) YELLOW and WHITE.

I still want to add nonblock fcntl to the reset of the devices. (most should
be able to handle nonblocking I/O)

I would be will to post or place it on an ftp site but I do not have
the bandwith to allow anonymous ftp here.

I would like to find a few user to do alpha level testing on the changes.
I can mail the changes to testers or ftp to a common place.
-- 
Mike Bernson  ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".